{ lib, fetchFromGitHub, rustPlatform, pkgconfig, openssl, ... }:

let
  pkgs = import <nixpkgs> {};
in
rustPlatform.buildRustPackage rec {
  pname = "nextsync";
  version = "master";
  #version = "0.1.0";

  nativeBuildInputs = with pkgs; [
      pkg-config
      openssl
  ];
  buildPhase = ''
    export PKG_CONFIG_PATH="${openssl.dev}/lib/pkgconfig:$PKG_CONFIG_PATH"
  '';

  src = fetchFromGitHub {
    owner = "grimhilt";
    repo = pname;
    rev = version;
    sha256 = lib.fakeSha256;
#"sha256-WIpbaaNZiYZd6ja6BB/fCem4yji0nY50XT4Aaox/vxw=";
  };

  cargoSha256 = lib.fakeSha256;
  #"sha256-VDWR+f/nisv3uzyFsbzAc3K9dyBnahNwRuang4Z4buw=";


  meta = with lib; {
    description = "A fast line-oriented regex search tool, similar to ag and ack";
    homepage = "https://github.com/grimhilt/nextsync";
    license = licenses.unlicense;
    maintainers = [];
  };
}

#nix-build -E "with import <nixpkgs> {}; callPackage ./default.nix {}"
